Bug 61183 - New port, lang/fpc-devel (development version of lang/fpc, Delphi/BP compat Pascal compiler)
Summary: New port, lang/fpc-devel (development version of lang/fpc, Delphi/BP compat ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ernst de Haan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-10 21:40 UTC by Marco van de Voort
Modified: 2004-01-21 07:55 UTC (History)
0 users

See Also:


Attachments
fpc-devel.tar.gz (69.35 KB, text/plain)
2004-01-10 21:40 UTC, Marco van de Voort
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco van de Voort 2004-01-10 21:40:22 UTC
	New port, targeted to 4.x, but meant for 5.x too, to get FPC release engineering for 5.x started.
	Sourceport could in future depend on FreeBSD version.
 
        FPC 1.9.2 is the second beta release for the future 2.0 version, which features near complete Delphi compability
	native pthreads based threading, and a multi architecture codegenerator. The next beta is expected in two months.

Fix: File contains fpc-devel/ tree. Please don't be too picky with INSTALL_XX
macro's (the port installs using it's own makefiles). I'll hope to fix that
source side, but this version has a limited timespan only.
How-To-Repeat: 	-
Comment 1 Ernst de Haan freebsd_committer 2004-01-13 09:35:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->znerd

I'll handle this.
Comment 2 Edwin Groothuis freebsd_committer 2004-01-17 23:57:46 UTC
Repocopy is done, lang/fpc-devel exists. 

-- 
Edwin Groothuis
edwin@freebsd.org
http://www.mavetju.org
Comment 3 Ernst de Haan freebsd_committer 2004-01-21 07:53:12 UTC
State Changed
From-To: open->closed

Committed, thanks!